package com.yunzhupaas.base.service;

import com.yunzhupaas.base.entity.ScheduleNewUserEntity;

import java.util.List;

/**
 * 日程
 *
 * @author 云筑产品开发平台组
 * @copyright 深圳市乐程软件有限公司（http://www.szlecheng.cn）
 */
public interface ScheduleNewUserService extends SuperService<ScheduleNewUserEntity> {

    /**
     * 列表
     *
     * @return
     */
    List<ScheduleNewUserEntity> getList(String scheduleId,Integer type);

    /**
     * 列表
     *
     * @return
     */
    List<ScheduleNewUserEntity> getList();

    /**
     * 创建
     *
     * @param entity 实体
     */
    void create(ScheduleNewUserEntity entity);

    /**
     * 删除
     *
     */
    void deleteByScheduleId(List<String> scheduleIdList);

    /**
     * 删除
     *
     */
    void deleteByUserId(List<String> scheduleIdList);
}

